<?xml version="1.0"?>

<!-- 
/*
 * Copyright 2001-2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
 -->

<document>

  <properties>
    <title>Maven Dashboard aggregators</title>
    <author email="vmassol@apache.org">Vincent Massol</author>
  </properties>

  <body>
    <section name="Maven Dashboard aggregators">
      <p>
        An aggregator is an extension to the dashboard that gathers 
        metric information that get displayed in the dashboard report.
        You can provide your own custom aggregators. The dashboard plugin
        comes with several default aggregators described below.
      </p>
      <table>
        <tr>
          <th>Aggregator name</th>
          <th>Topic</th>
          <th>Description</th>
        </tr>
        <tr>
          <td>csall</td>
          <td>Checkstyle</td>
          <td>
            Computes total number of Checkstyle warnings and errors.
          </td>
        </tr>
        <tr>
          <td>cserrors</td>
          <td>Checkstyle</td>
          <td>
            Computes total number of Checkstyle errors.
          </td>
        </tr>
        <tr>
          <td>cswarnings</td>
          <td>Checkstyle</td>
          <td>
            Computes total number of Checkstyle warnings.
          </td>
        </tr>
        <tr>
          <td>clovertpc</td>
          <td>Clover</td>
          <td>
            Computes total Test Coverage Percentage (TPC) using Clover.
          </td>
        </tr>
        <tr>
          <td>cloverloc</td>
          <td>Clover</td>
          <td>
            Computes total Line Of Code (LOC) using Clover.
          </td>
        </tr>
        <tr>
          <td>cloverncloc</td>
          <td>Clover</td>
          <td>
            Computes total Non-Commented Line Of Code (NCLOC) using Clover.
          </td>
        </tr>
        <tr>
          <td>junittests</td>
          <td>JUnit</td>
          <td>
            Number of JUnit tests.
          </td>
        </tr>
        <tr>
          <td>juniterrors</td>
          <td>JUnit</td>
          <td>
            Number of JUnit errors.
          </td>
        </tr>
        <tr>
          <td>junitfailures</td>
          <td>JUnit</td>
          <td>
            Number of JUnit failures.
          </td>
        </tr>
        <tr>
          <td>junitpassrate</td>
          <td>JUnit</td>
          <td>
            Percentage of JUnit tests that have passed.
          </td>
        </tr>
        <tr>
          <td>simiantdl</td>
          <td>Simian</td>
          <td>
            Total number of duplicate lines found by Simian.
          </td>
        </tr>
      </table>
    </section>
 </body>
</document>
